<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/gcomp_geom.php';

class GCompMargins
{
    public static function all($left, $top, $right, $bottom)
    {
        return array(
            GCompMarginsDef::left => $left,
            GCompMarginsDef::top => $top,
            GCompMarginsDef::right => $right,
            GCompMarginsDef::bottom => $bottom);
    }

    public static function left($left)
    {
        return self::all($left, 0, 0, 0);
    }

    public static function top($top)
    {
        return self::all(0, $top, 0, 0);
    }

    public static function right($right)
    {
        return self::all(0, 0, $right, 0);
    }

    public static function bottom($bottom)
    {
        return self::all(0, 0, 0, $bottom);
    }
}

?>
